<template>
  <header class="grid-header">
    <div class="grid-header-wrapper">
      <h2
        class="heading _h3"
        v-if="title">
        {{ title }}
      </h2>
      <div class="grid-header-controls-display">
        <slot name="btn-filter"/>
        <slot name="btn-map"/>
      </div>
      <div class="grid-header-controls-sorting">
        <slot name="btn-sorting"/>
      </div>
    </div>
  </header>
</template>

<script>
export default {
  name: 'GridHeader',
  props: {
    title: {
      type: String,
      default: '',
    },
  },
};
</script>

<style lang="postcss">
  .grid-header {
    padding: 1.75rem 0 0.5rem 0;
  }

  .grid-header-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;

    & > .grid-header-controls-display {
      & > .buttonFilters,
      & > .buttonSorting {
        display: none;
      }
    }

    & > .grid-header-controls-sorting {
      display: none;
    }
  }

  @media screen and (max-width: 980px) {

    .grid-header {
      position: relative;
      z-index: 10;
      padding: 1rem 1.25rem 0 1.25rem;
    }

    .grid-header-wrapper {
      align-items: flex-start;
      flex-direction: column;
      & > .heading._h3 {
        padding-bottom: 1rem;
      }

      & > .grid-header-controls-display {
        display: flex;
        flex-wrap: wrap;
        width: 100%;

        & > .button {
          flex-grow: 1;
          flex-basis: calc(50% - 1rem);
          font-size: 1rem;

          &:first-of-type:not(:last-child) {
            margin-right: 1rem;
          }
        }

        & > .buttonFilters {
          display: block;
          background-color: var(--bg-blue);
          background-image: none;
        }
      }

      & > .grid-header-controls-sorting {
        display: inline-flex;
        justify-content: flex-end;
        width: 100%;

        & > .buttonAsLink {
          padding: 1rem 0;
          font-size: 1rem;
          color: var(--color-main-lightest);

          & > .button-item {
            .svg {
              display: inline-block;
              margin-left: 0.5rem;
              width: 0.625rem;
              height: auto;
              fill: var(--fill-active);
            }
          }

          &.-sorting-up {
            & > .button-item {
              .svg {
                transform: rotate(180deg);
              }
            }
          }
        }
      }
    }
  }
</style>
